Lavalite package that provides favorite management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `autos/favorite`.

    "autos/favorite": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Autos\Favorite\Providers\FavoriteServiceProvider::class,

And also add it to alias

    'Favorite'  => Autos\Favorite\Facades\Favorite::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Autos\\FavoriteTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Autos\Favorite\Providers\FavoriteServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Autos\Favorite\Providers\FavoriteServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Autos\Favorite\Providers\FavoriteServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/favorite/{modulename}

**User**

    http://path-to-route-folder/user/favorite/{modulename}

**Public**

    http://path-to-route-folder/favorites


### API endpoints

**List**

    http://path-to-route-folder/api/user/favorite/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/favorite/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/favorite/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/favorite/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/favorite/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/favorite/{modulename}/{slug}
    METHOD: GET